"""initial database schema

Revision ID: 89477ec3b5a8
Revises: 
Create Date: 2022-01-11 16:47:38.591291

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '89477ec3b5a8'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('lunch_lists',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('channel_key', sa.String(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('channel_key')
    )
    op.create_table('lunches',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('lunch_list_id', sa.Integer(), nullable=False),
    sa.Column('date', sa.Date(), nullable=False),
    sa.ForeignKeyConstraint(['lunch_list_id'], ['lunch_lists.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('lunch_list_id', 'date', name='_lunch_date_uc')
    )
    op.create_table('attendees',
    sa.Column('user_key', sa.String(), nullable=False),
    sa.Column('lunch_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['lunch_id'], ['lunches.id'], ),
    sa.PrimaryKeyConstraint('user_key', 'lunch_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('attendees')
    op.drop_table('lunches')
    op.drop_table('lunch_lists')
    # ### end Alembic commands ###
